Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing > using a particular value (and an optional tolerance) More...

`#include <GreaterQuery.h>`

Inheritance diagram for Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

## Public Member Functions

| GreaterQuery ()
| GreaterQuery (DataFuncArgType v)
| constructs with our target value More...
| GreaterQuery (DataFuncArgType v, DataFuncArgType t)
| constructs with our target value and a tolerance More...
bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument More...
Query< MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query More...
std::string | getFullDescription () const
| returns a fuller text description More...
Public Member Functions inherited from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >
| EqualityQuery ()
| EqualityQuery (MatchFuncArgType v)
| constructs with our target value More...
| EqualityQuery (MatchFuncArgType v, MatchFuncArgType t)
| constructs with our target value and a tolerance More...
void | setVal (MatchFuncArgType what)
| sets our target value More...
const MatchFuncArgType | getVal () const
| returns our target value More...
void | setTol (MatchFuncArgType what)
| sets our tolerance More...
const MatchFuncArgType | getTol () const
| returns out tolerance More...
Public Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated More...
bool | getNegation () const
| returns whether or not we are negated More...
void | setDescription (const std::string &descr)
| sets our text description More...
void | setDescription (const char *descr)
const std::string & | getDescription () const
| returns our text description More...
void | setMatchFunc (bool(*what)(MatchFuncArgType))
| sets our match function More...
void | setDataFunc (MatchFuncArgType(*what)(DataFuncArgType))
| sets our data function More...
void | addChild (CHILD_TYPE child)
| adds a child to our list of children More...
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector More...
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector More...

## Additional Inherited Members

Public Types inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
typedef boost::shared_ptr< Query< MatchFuncArgType, DataFuncArgType, needsConversion > > | CHILD_TYPE
typedef std::vector< CHILD_TYPE > | CHILD_VECT
typedef CHILD_VECT::iterator | CHILD_VECT_I
typedef CHILD_VECT::const_iterator | CHILD_VECT_CI
Public Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
bool(*)(MatchFuncArgType) | getMatchFunc () const
| returns our match function: More...
MatchFuncArgType(*)(DataFuncArgType) | getDataFunc () const
| returns our data function: More...
Protected Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
MatchFuncArgType | TypeConvert (MatchFuncArgType what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what` More...
MatchFuncArgType | TypeConvert (DataFuncArgType what, Int2Type< true >) const
| calls our `dataFunc` (which must be set) on `what` and returns the More...
Protected Attributes inherited from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >
MatchFuncArgType | d_val
MatchFuncArgType | d_tol
Protected Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
std::string | d_description
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(MatchFuncArgType)
MatchFuncArgType(* | d_dataFunc )(DataFuncArgType)

## Detailed Description

### template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing > using a particular value (and an optional tolerance)

Definition at line 20 of file GreaterQuery.h.

## Constructor & Destructor Documentation

## GreaterQuery() [1/3]

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery | ( |  | ) |

inline

Definition at line 23 of file GreaterQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol.

## GreaterQuery() [2/3]

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery | ( | DataFuncArgType | v | ) |

inline explicit

constructs with our target value

Definition at line 25 of file GreaterQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

## GreaterQuery() [3/3]

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery | ( | DataFuncArgType | v,
|  | DataFuncArgType | t
| ) |  |

inline

constructs with our target value and a tolerance

Definition at line 31 of file GreaterQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

## Member Function Documentation

## copy()

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query<MatchFuncArgType, DataFuncArgType, needsConversion>* Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const

inline virtual

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 53 of file GreaterQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_dataFunc, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setDataFunc(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation(), Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol(), and Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setVal().

## getFullDescription()

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

std::string Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription | ( |  | ) | const

inline virtual

returns a fuller text description

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 64 of file GreaterQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getDescription(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation().

## Match()

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const

inline virtual

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 37 of file GreaterQuery.h.

References Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol, Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), Queries::queryCmp(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::TypeConvert().

The documentation for this class was generated from the following file:

- GreaterQuery.h